package com.ozs.base.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ozs.base.domain.BaseExpert;
import com.ozs.base.domain.BaseSupplier;
import com.ozs.base.mapper.BaseExpertMapper;
import com.ozs.base.mapper.BaseSupplierMapper;
import com.ozs.base.service.BaseSupplierService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 供应商管理
 *
 * @author sunhh
 */
@Service
public class BaseSupplierServiceImpl extends ServiceImpl<BaseSupplierMapper, BaseSupplier> implements BaseSupplierService {

    @Autowired
    private BaseSupplierMapper baseSupplierMapper;

    @Override
    public int insertBaseSupplier(BaseSupplier baseSupplier) {
        return baseSupplierMapper.insertBaseSupplier(baseSupplier);
    }

    @Override
    public int deleteBaseSupplier(int id) {
        return baseSupplierMapper.deleteBaseSupplier(id);
    }

    @Override
    public int updateBaseSupplier(BaseSupplier baseSupplier) {
        return baseSupplierMapper.updateBaseSupplier(baseSupplier);
    }

    @Override
    public List<BaseSupplier> selectBaseSupplier(BaseSupplier baseSupplier) {
        return baseSupplierMapper.selectBaseSupplier(baseSupplier);
    }
}
